### Method

# Gio MountOperation set_username

#### Declaration

    void
    g_mount_operation_set_username (
      GMountOperation* op,
      const char* username
    )

#### Description

Sets the user name within `op` to `username`.

Sets property | `Gio.MountOperation:username`

#### Parameters

`username`

  Type: `const char*`

  Input username.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.